コンテンツへスキップ

Mirelo SFX2.0 · Text to Audio

統合

モデルID mirelo-ai/sfx2.0/text-to-audio
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/mirelo-ai/sfx2.0/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.60 600 APIクレジット · ≈ ₽64.39 実行前にファイルを計測します このページで実行

APIキーを取得
Mirelo AI 音声 0.1–600 s #text-to-audio#sfx

テキスト説明から効果音を生成。ネガティブプロンプト、長さ、複数サンプルに対応

Mirelo AI · 音声

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 88 / 2000

求める効果音の説明。

デフォルト 30

リクエストする音の長さ(秒単位)。text-to-SFX のデプロイメント固有の最大値以内である必要があります。

デフォルト 2

単一のバッチ順伝播で生成するサンプル数。

詳細設定 negative_prompt · upload_audio_format · upload_audio_bitrate_kbps · seed
0 / 1000

出力から除外する音。

upload_audio_format デフォルト wav

各音声ファイルに使用する形式。

kbps単位のアップロードビットレート上書き。upload_audio_format が可逆形式の場合は拒否されます。未設定にすると、mp3ではLAME V0 VBR、aacでは256 kbpsの目標値が維持されます。mp3では32、40、48、56、64、80、96、112、128、160、192、224、256、320から正確な固定レートを選択します。aacでは32~256の値は保証レートではなくエンコーダーの目標値を指定するため、モノラルまたは疎な音声ではそれを下回る場合があります。

初期サンプルのシード。-1 または省略時はランダムシードが使用されます。

POST /run/mirelo-ai/sfx2.0/text-to-audio?wait=20 見積もり → $0.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/mirelo-ai/sfx2.0/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Mirelo SFX2.0 · Text to Audioについて

最大2000文字の`prompt`から効果音を生成し、`negative_prompt`で除外する音を指定します。`duration`は0.1~600秒(デフォルト30)で、`num_samples`は1~4種類のバリエーションを生成し、それぞれに独自のシードを持たせます。`upload_audio_format`でwav、mp3、aac、flacを選択でき、mp3とaacでは任意のビットレートも指定できます。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
≤ 2,000文字
求める効果音の説明。
negative_prompt任意
型string | null
≤ 1,000文字
出力から除外する音。
duration任意
型number
デフォルト30
0.1 – 600
リクエストする音の長さ(秒単位)。text-to-SFX のデプロイメント固有の最大値以内である必要があります。
seed任意
型integer | null
-1 – 9,223,372,036,854,776,000
初期サンプルのシード。-1 または省略時はランダムシードが使用されます。
num_samples任意
型integer
デフォルト2
1 – 4
単一のバッチ順伝播で生成するサンプル数。
upload_audio_format任意
型enum
デフォルトwav
wavmp3aacflac
各音声ファイルに使用する形式。
upload_audio_bitrate_kbps任意
型integer | null
32 – 320
kbps単位のアップロードビットレート上書き。upload_audio_format が可逆形式の場合は拒否されます。未設定にすると、mp3ではLAME V0 VBR、aacでは256 kbpsの目標値が維持されます。mp3では32、40、48、56、64、80、96、112、128、160、192、224、256、320から正確な固定レートを選択します。aacでは32~256の値は保証レートではなくエンコーダーの目標値を指定するため、モノラルまたは疎な音声ではそれを下回る場合があります。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "mirelo-ai/sfx2.0/text-to-audio",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 600,
    "usd": "0.60",
    "charged": 600,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "model": "sfx-2.0",
    "audio": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
        "content_type": "audio/mpeg",
        "file_name": "0-output.mp3",
        "file_size": 1843200
      }
    ],
    "seeds": [
      42
    ]
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
model
string出力の生成に使用するSFXモデルのリリース。
audio
array of object {url, content_type, file_name, file_size}生成された効果音。サンプルごとに1つの結果が返されます。
seeds
array of integerサンプルに対応するシード。順序は維持されます。

その他のモデル: 音声

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/mirelo-ai/sfx2.0/text-to-audio.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt